<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=emulateIE7" />
<<<<<<< HEAD
    <title>Coverage for base\tests.py: 0%</title>
=======
    <title>Coverage for base\tests.py: 100%</title>
>>>>>>> 1fb17b7cf78846a13f6abb224082650e2f1d865f
    <link rel="stylesheet" href="style.css" type="text/css">
    <script type="text/javascript" src="jquery.min.js"></script>
    <script type="text/javascript" src="jquery.hotkeys.js"></script>
    <script type="text/javascript" src="jquery.isonscreen.js"></script>
    <script type="text/javascript" src="coverage_html.js"></script>
    <script type="text/javascript">
        jQuery(document).ready(coverage.pyfile_ready);
    </script>
</head>
<body class="pyfile">
<div id="header">
    <div class="content">
        <h1>Coverage for <b>base\tests.py</b> :
<<<<<<< HEAD
            <span class="pc_cov">0%</span>
        </h1>
        <img id="keyboard_icon" src="keybd_closed.png" alt="Show keyboard shortcuts" />
        <h2 class="stats">
            27 statements &nbsp;
            <button type="button" class="run shortkey_r button_toggle_run" title="Toggle lines run">0 run</button>
            <button type="button" class="mis show_mis shortkey_m button_toggle_mis" title="Toggle lines missing">27 missing</button>
=======
            <span class="pc_cov">100%</span>
        </h1>
        <img id="keyboard_icon" src="keybd_closed.png" alt="Show keyboard shortcuts" />
        <h2 class="stats">
            58 statements &nbsp;
            <button type="button" class="run shortkey_r button_toggle_run" title="Toggle lines run">58 run</button>
            <button type="button" class="mis show_mis shortkey_m button_toggle_mis" title="Toggle lines missing">0 missing</button>
>>>>>>> 1fb17b7cf78846a13f6abb224082650e2f1d865f
            <button type="button" class="exc show_exc shortkey_x button_toggle_exc" title="Toggle lines excluded">0 excluded</button>
        </h2>
    </div>
</div>
<div class="help_panel">
    <img id="panel_icon" src="keybd_open.png" alt="Hide keyboard shortcuts" />
    <p class="legend">Hot-keys on this page</p>
    <div>
    <p class="keyhelp">
        <span class="key">r</span>
        <span class="key">m</span>
        <span class="key">x</span>
        <span class="key">p</span> &nbsp; toggle line displays
    </p>
    <p class="keyhelp">
        <span class="key">j</span>
        <span class="key">k</span> &nbsp; next/prev highlighted chunk
    </p>
    <p class="keyhelp">
        <span class="key">0</span> &nbsp; (zero) top of page
    </p>
    <p class="keyhelp">
        <span class="key">1</span> &nbsp; (one) first highlighted chunk
    </p>
    </div>
</div>
<div id="source">
<<<<<<< HEAD
    <p id="t1" class="mis show_mis"><span class="n"><a href="#t1">1</a></span><span class="t"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">test</span> <span class="key">import</span> <span class="nam">TestCase</span><span class="op">,</span> <span class="nam">Client</span>&nbsp;</span><span class="r"></span></p>
    <p id="t2" class="mis show_mis"><span class="n"><a href="#t2">2</a></span><span class="t"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">urls</span> <span class="key">import</span> <span class="nam">resolve</span>&nbsp;</span><span class="r"></span></p>
    <p id="t3" class="mis show_mis"><span class="n"><a href="#t3">3</a></span><span class="t"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">contrib</span><span class="op">.</span><span class="nam">auth</span><span class="op">.</span><span class="nam">models</span> <span class="key">import</span> <span class="nam">User</span>&nbsp;</span><span class="r"></span></p>
    <p id="t4" class="pln"><span class="n"><a href="#t4">4</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t5" class="mis show_mis"><span class="n"><a href="#t5">5</a></span><span class="t"><span class="key">class</span> <span class="nam">TestBase</span><span class="op">(</span><span class="nam">TestCase</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t6" class="pln"><span class="n"><a href="#t6">6</a></span><span class="t">    <span class="com">#urltest</span>&nbsp;</span><span class="r"></span></p>
    <p id="t7" class="mis show_mis"><span class="n"><a href="#t7">7</a></span><span class="t">    <span class="key">def</span> <span class="nam">test_url_TK2</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span> <span class="com">#GET</span>&nbsp;</span><span class="r"></span></p>
    <p id="t8" class="mis show_mis"><span class="n"><a href="#t8">8</a></span><span class="t">        <span class="nam">response</span> <span class="op">=</span> <span class="nam">Client</span><span class="op">(</span><span class="op">)</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'/'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t9" class="mis show_mis"><span class="n"><a href="#t9">9</a></span><span class="t">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertEqual</span><span class="op">(</span><span class="nam">response</span><span class="op">.</span><span class="nam">status_code</span><span class="op">,</span> <span class="num">200</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t10" class="pln"><span class="n"><a href="#t10">10</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t11" class="mis show_mis"><span class="n"><a href="#t11">11</a></span><span class="t">    <span class="key">def</span> <span class="nam">test_url_TK2_login</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span> <span class="com">#GET</span>&nbsp;</span><span class="r"></span></p>
    <p id="t12" class="mis show_mis"><span class="n"><a href="#t12">12</a></span><span class="t">        <span class="nam">response</span> <span class="op">=</span> <span class="nam">Client</span><span class="op">(</span><span class="op">)</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'/login/'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t13" class="mis show_mis"><span class="n"><a href="#t13">13</a></span><span class="t">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertEqual</span><span class="op">(</span><span class="nam">response</span><span class="op">.</span><span class="nam">status_code</span><span class="op">,</span> <span class="num">200</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t14" class="pln"><span class="n"><a href="#t14">14</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t15" class="mis show_mis"><span class="n"><a href="#t15">15</a></span><span class="t">    <span class="key">def</span> <span class="nam">test_url_TK2_register</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span> <span class="com">#GET</span>&nbsp;</span><span class="r"></span></p>
    <p id="t16" class="mis show_mis"><span class="n"><a href="#t16">16</a></span><span class="t">        <span class="nam">response</span> <span class="op">=</span> <span class="nam">Client</span><span class="op">(</span><span class="op">)</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'/signup/'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t17" class="mis show_mis"><span class="n"><a href="#t17">17</a></span><span class="t">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertEqual</span><span class="op">(</span><span class="nam">response</span><span class="op">.</span><span class="nam">status_code</span><span class="op">,</span> <span class="num">200</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t18" class="pln"><span class="n"><a href="#t18">18</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t19" class="pln"><span class="n"><a href="#t19">19</a></span><span class="t"><span class="com">#viewsTest</span>&nbsp;</span><span class="r"></span></p>
    <p id="t20" class="mis show_mis"><span class="n"><a href="#t20">20</a></span><span class="t">    <span class="key">def</span> <span class="nam">test_template_TK2_is_used</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span> <span class="com">#test template used</span>&nbsp;</span><span class="r"></span></p>
    <p id="t21" class="mis show_mis"><span class="n"><a href="#t21">21</a></span><span class="t">        <span class="nam">response</span> <span class="op">=</span> <span class="nam">Client</span><span class="op">(</span><span class="op">)</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'/'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t22" class="mis show_mis"><span class="n"><a href="#t22">22</a></span><span class="t">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertTemplateUsed</span><span class="op">(</span><span class="nam">response</span><span class="op">,</span> <span class="str">'base/index.html'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t23" class="pln"><span class="n"><a href="#t23">23</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t24" class="mis show_mis"><span class="n"><a href="#t24">24</a></span><span class="t">    <span class="key">def</span> <span class="nam">test_template_TK2_login_is_used</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span> <span class="com">#test template used</span>&nbsp;</span><span class="r"></span></p>
    <p id="t25" class="mis show_mis"><span class="n"><a href="#t25">25</a></span><span class="t">        <span class="nam">response</span> <span class="op">=</span> <span class="nam">Client</span><span class="op">(</span><span class="op">)</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'/login/'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t26" class="mis show_mis"><span class="n"><a href="#t26">26</a></span><span class="t">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertTemplateUsed</span><span class="op">(</span><span class="nam">response</span><span class="op">,</span> <span class="str">'base/login.html'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t27" class="pln"><span class="n"><a href="#t27">27</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t28" class="mis show_mis"><span class="n"><a href="#t28">28</a></span><span class="t">    <span class="key">def</span> <span class="nam">test_template_TK2_signup_is_used</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span> <span class="com">#test template used</span>&nbsp;</span><span class="r"></span></p>
    <p id="t29" class="mis show_mis"><span class="n"><a href="#t29">29</a></span><span class="t">        <span class="nam">response</span> <span class="op">=</span> <span class="nam">Client</span><span class="op">(</span><span class="op">)</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'/signup/'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t30" class="mis show_mis"><span class="n"><a href="#t30">30</a></span><span class="t">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertTemplateUsed</span><span class="op">(</span><span class="nam">response</span><span class="op">,</span> <span class="str">'base/signup.html'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t31" class="pln"><span class="n"><a href="#t31">31</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t32" class="pln"><span class="n"><a href="#t32">32</a></span><span class="t"><span class="com">#userTest</span>&nbsp;</span><span class="r"></span></p>
    <p id="t33" class="mis show_mis"><span class="n"><a href="#t33">33</a></span><span class="t">    <span class="key">def</span> <span class="nam">test_user_TK2</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t34" class="mis show_mis"><span class="n"><a href="#t34">34</a></span><span class="t">        <span class="nam">user</span> <span class="op">=</span> <span class="nam">User</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">create_user</span><span class="op">(</span><span class="str">'admin'</span><span class="op">,</span> <span class="str">'admin@gmail.com'</span><span class="op">,</span> <span class="str">'admin'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t35" class="mis show_mis"><span class="n"><a href="#t35">35</a></span><span class="t">        <span class="nam">request</span> <span class="op">=</span> <span class="nam">Client</span><span class="op">(</span><span class="op">)</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'/'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t36" class="mis show_mis"><span class="n"><a href="#t36">36</a></span><span class="t">        <span class="nam">request</span><span class="op">.</span><span class="nam">user</span> <span class="op">=</span> <span class="nam">user</span>&nbsp;</span><span class="r"></span></p>
    <p id="t37" class="mis show_mis"><span class="n"><a href="#t37">37</a></span><span class="t">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertEqual</span><span class="op">(</span><span class="nam">request</span><span class="op">.</span><span class="nam">status_code</span><span class="op">,</span> <span class="num">200</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
=======
    <p id="t1" class="run"><span class="n"><a href="#t1">1</a></span><span class="t"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">test</span> <span class="key">import</span> <span class="nam">TestCase</span><span class="op">,</span> <span class="nam">Client</span>&nbsp;</span><span class="r"></span></p>
    <p id="t2" class="run"><span class="n"><a href="#t2">2</a></span><span class="t"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">urls</span> <span class="key">import</span> <span class="nam">resolve</span><span class="op">,</span> <span class="nam">reverse</span>&nbsp;</span><span class="r"></span></p>
    <p id="t3" class="run"><span class="n"><a href="#t3">3</a></span><span class="t"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">contrib</span><span class="op">.</span><span class="nam">auth</span><span class="op">.</span><span class="nam">models</span> <span class="key">import</span> <span class="nam">User</span>&nbsp;</span><span class="r"></span></p>
    <p id="t4" class="run"><span class="n"><a href="#t4">4</a></span><span class="t"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">contrib</span> <span class="key">import</span> <span class="nam">auth</span>&nbsp;</span><span class="r"></span></p>
    <p id="t5" class="run"><span class="n"><a href="#t5">5</a></span><span class="t"><span class="key">from</span> <span class="op">.</span><span class="nam">models</span> <span class="key">import</span> <span class="nam">PoolingBarang</span><span class="op">,</span> <span class="nam">BarangKepunyaan</span>&nbsp;</span><span class="r"></span></p>
    <p id="t6" class="pln"><span class="n"><a href="#t6">6</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t7" class="run"><span class="n"><a href="#t7">7</a></span><span class="t"><span class="key">class</span> <span class="nam">TestBase</span><span class="op">(</span><span class="nam">TestCase</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t8" class="pln"><span class="n"><a href="#t8">8</a></span><span class="t">    <span class="com">#urltest</span>&nbsp;</span><span class="r"></span></p>
    <p id="t9" class="run"><span class="n"><a href="#t9">9</a></span><span class="t">    <span class="key">def</span> <span class="nam">test_url_TK2</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span> <span class="com">#GET</span>&nbsp;</span><span class="r"></span></p>
    <p id="t10" class="run"><span class="n"><a href="#t10">10</a></span><span class="t">        <span class="nam">response</span> <span class="op">=</span> <span class="nam">Client</span><span class="op">(</span><span class="op">)</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'/'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t11" class="run"><span class="n"><a href="#t11">11</a></span><span class="t">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertEqual</span><span class="op">(</span><span class="nam">response</span><span class="op">.</span><span class="nam">status_code</span><span class="op">,</span> <span class="num">200</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t12" class="pln"><span class="n"><a href="#t12">12</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t13" class="run"><span class="n"><a href="#t13">13</a></span><span class="t">    <span class="key">def</span> <span class="nam">test_url_TK2_login</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span> <span class="com">#GET</span>&nbsp;</span><span class="r"></span></p>
    <p id="t14" class="run"><span class="n"><a href="#t14">14</a></span><span class="t">        <span class="nam">response</span> <span class="op">=</span> <span class="nam">Client</span><span class="op">(</span><span class="op">)</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'/login/'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t15" class="run"><span class="n"><a href="#t15">15</a></span><span class="t">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertEqual</span><span class="op">(</span><span class="nam">response</span><span class="op">.</span><span class="nam">status_code</span><span class="op">,</span> <span class="num">200</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t16" class="pln"><span class="n"><a href="#t16">16</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t17" class="run"><span class="n"><a href="#t17">17</a></span><span class="t">    <span class="key">def</span> <span class="nam">test_url_TK2_register</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span> <span class="com">#GET</span>&nbsp;</span><span class="r"></span></p>
    <p id="t18" class="run"><span class="n"><a href="#t18">18</a></span><span class="t">        <span class="nam">response</span> <span class="op">=</span> <span class="nam">Client</span><span class="op">(</span><span class="op">)</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'/signup/'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t19" class="run"><span class="n"><a href="#t19">19</a></span><span class="t">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertEqual</span><span class="op">(</span><span class="nam">response</span><span class="op">.</span><span class="nam">status_code</span><span class="op">,</span> <span class="num">200</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t20" class="pln"><span class="n"><a href="#t20">20</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t21" class="pln"><span class="n"><a href="#t21">21</a></span><span class="t">    <span class="com"># def test_url_TK2_register(self): #GET</span>&nbsp;</span><span class="r"></span></p>
    <p id="t22" class="pln"><span class="n"><a href="#t22">22</a></span><span class="t">    <span class="com">#     logout = self.client.post('/logout/')</span>&nbsp;</span><span class="r"></span></p>
    <p id="t23" class="pln"><span class="n"><a href="#t23">23</a></span><span class="t">    <span class="com">#     self.assertEqual(logout,'/')</span>&nbsp;</span><span class="r"></span></p>
    <p id="t24" class="pln"><span class="n"><a href="#t24">24</a></span><span class="t">    <span class="com">#     self.client.logout()</span>&nbsp;</span><span class="r"></span></p>
    <p id="t25" class="pln"><span class="n"><a href="#t25">25</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t26" class="pln"><span class="n"><a href="#t26">26</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t27" class="pln"><span class="n"><a href="#t27">27</a></span><span class="t">    <span class="com"># def test_url_add (self):</span>&nbsp;</span><span class="r"></span></p>
    <p id="t28" class="pln"><span class="n"><a href="#t28">28</a></span><span class="t">    <span class="com">#     response = Client().get('/add')</span>&nbsp;</span><span class="r"></span></p>
    <p id="t29" class="pln"><span class="n"><a href="#t29">29</a></span><span class="t">    <span class="com">#     self.assertEqual(response.status_code, 200)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t30" class="pln"><span class="n"><a href="#t30">30</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t31" class="pln"><span class="n"><a href="#t31">31</a></span><span class="t">    <span class="com"># def test_url_reduce (self):</span>&nbsp;</span><span class="r"></span></p>
    <p id="t32" class="pln"><span class="n"><a href="#t32">32</a></span><span class="t">    <span class="com">#     response = Client().get('/reduce')</span>&nbsp;</span><span class="r"></span></p>
    <p id="t33" class="pln"><span class="n"><a href="#t33">33</a></span><span class="t">    <span class="com">#     self.assertEqual(response.status_code, 200)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t34" class="pln"><span class="n"><a href="#t34">34</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t35" class="pln"><span class="n"><a href="#t35">35</a></span><span class="t"><span class="com">#viewsTest</span>&nbsp;</span><span class="r"></span></p>
    <p id="t36" class="run"><span class="n"><a href="#t36">36</a></span><span class="t">    <span class="key">def</span> <span class="nam">test_template_TK2_is_used</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span> <span class="com">#test template used</span>&nbsp;</span><span class="r"></span></p>
    <p id="t37" class="run"><span class="n"><a href="#t37">37</a></span><span class="t">        <span class="nam">response</span> <span class="op">=</span> <span class="nam">Client</span><span class="op">(</span><span class="op">)</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'/'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t38" class="run"><span class="n"><a href="#t38">38</a></span><span class="t">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertTemplateUsed</span><span class="op">(</span><span class="nam">response</span><span class="op">,</span> <span class="str">'base/index.html'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t39" class="pln"><span class="n"><a href="#t39">39</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t40" class="run"><span class="n"><a href="#t40">40</a></span><span class="t">    <span class="key">def</span> <span class="nam">test_template_TK2_login_is_used</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span> <span class="com">#test template used</span>&nbsp;</span><span class="r"></span></p>
    <p id="t41" class="run"><span class="n"><a href="#t41">41</a></span><span class="t">        <span class="nam">response</span> <span class="op">=</span> <span class="nam">Client</span><span class="op">(</span><span class="op">)</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'/login/'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t42" class="run"><span class="n"><a href="#t42">42</a></span><span class="t">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertTemplateUsed</span><span class="op">(</span><span class="nam">response</span><span class="op">,</span> <span class="str">'base/login.html'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t43" class="pln"><span class="n"><a href="#t43">43</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t44" class="run"><span class="n"><a href="#t44">44</a></span><span class="t">    <span class="key">def</span> <span class="nam">test_template_TK2_signup_is_used</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span> <span class="com">#test template used</span>&nbsp;</span><span class="r"></span></p>
    <p id="t45" class="run"><span class="n"><a href="#t45">45</a></span><span class="t">        <span class="nam">response</span> <span class="op">=</span> <span class="nam">Client</span><span class="op">(</span><span class="op">)</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'/signup/'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t46" class="run"><span class="n"><a href="#t46">46</a></span><span class="t">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertTemplateUsed</span><span class="op">(</span><span class="nam">response</span><span class="op">,</span> <span class="str">'base/signup.html'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t47" class="pln"><span class="n"><a href="#t47">47</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t48" class="pln"><span class="n"><a href="#t48">48</a></span><span class="t"><span class="com">#userTest</span>&nbsp;</span><span class="r"></span></p>
    <p id="t49" class="run"><span class="n"><a href="#t49">49</a></span><span class="t">    <span class="key">def</span> <span class="nam">test_user_TK2</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t50" class="run"><span class="n"><a href="#t50">50</a></span><span class="t">        <span class="nam">user</span> <span class="op">=</span> <span class="nam">User</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">create_user</span><span class="op">(</span><span class="str">'admin'</span><span class="op">,</span> <span class="str">'admin@gmail.com'</span><span class="op">,</span> <span class="str">'admin'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t51" class="run"><span class="n"><a href="#t51">51</a></span><span class="t">        <span class="nam">request</span> <span class="op">=</span> <span class="nam">Client</span><span class="op">(</span><span class="op">)</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'/'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t52" class="run"><span class="n"><a href="#t52">52</a></span><span class="t">        <span class="nam">request</span><span class="op">.</span><span class="nam">user</span> <span class="op">=</span> <span class="nam">user</span>&nbsp;</span><span class="r"></span></p>
    <p id="t53" class="run"><span class="n"><a href="#t53">53</a></span><span class="t">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertEqual</span><span class="op">(</span><span class="nam">request</span><span class="op">.</span><span class="nam">status_code</span><span class="op">,</span> <span class="num">200</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t54" class="pln"><span class="n"><a href="#t54">54</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t55" class="pln"><span class="n"><a href="#t55">55</a></span><span class="t"><span class="com">#modeltest</span>&nbsp;</span><span class="r"></span></p>
    <p id="t56" class="run"><span class="n"><a href="#t56">56</a></span><span class="t">    <span class="key">def</span> <span class="nam">test_setupClassPoolingBarang</span> <span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t57" class="run"><span class="n"><a href="#t57">57</a></span><span class="t">        <span class="nam">userdummy</span> <span class="op">=</span> <span class="nam">User</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">create_user</span> <span class="op">(</span>&nbsp;</span><span class="r"></span></p>
    <p id="t58" class="pln"><span class="n"><a href="#t58">58</a></span><span class="t">            <span class="nam">username</span> <span class="op">=</span> <span class="str">"aku"</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t59" class="pln"><span class="n"><a href="#t59">59</a></span><span class="t">            <span class="nam">email</span> <span class="op">=</span> <span class="str">"aku@gmail.com"</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t60" class="pln"><span class="n"><a href="#t60">60</a></span><span class="t">            <span class="nam">password</span> <span class="op">=</span> <span class="str">"aku"</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t61" class="pln"><span class="n"><a href="#t61">61</a></span><span class="t">        <span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t62" class="pln"><span class="n"><a href="#t62">62</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t63" class="run"><span class="n"><a href="#t63">63</a></span><span class="t">        <span class="nam">pooling_barang</span> <span class="op">=</span> <span class="nam">PoolingBarang</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">create</span> <span class="op">(</span>&nbsp;</span><span class="r"></span></p>
    <p id="t64" class="pln"><span class="n"><a href="#t64">64</a></span><span class="t">            <span class="nam">user</span> <span class="op">=</span> <span class="nam">userdummy</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t65" class="pln"><span class="n"><a href="#t65">65</a></span><span class="t">            <span class="nam">barang</span> <span class="op">=</span> <span class="str">'nama_barang'</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t66" class="pln"><span class="n"><a href="#t66">66</a></span><span class="t">            <span class="nam">stok</span> <span class="op">=</span> <span class="num">3</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t67" class="pln"><span class="n"><a href="#t67">67</a></span><span class="t">        <span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t68" class="pln"><span class="n"><a href="#t68">68</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t69" class="run"><span class="n"><a href="#t69">69</a></span><span class="t">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertTrue</span><span class="op">(</span><span class="nam">isinstance</span><span class="op">(</span><span class="nam">pooling_barang</span><span class="op">,</span> <span class="nam">PoolingBarang</span><span class="op">)</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t70" class="pln"><span class="n"><a href="#t70">70</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t71" class="pln"><span class="n"><a href="#t71">71</a></span><span class="t"><span class="com">#viewTestPooling</span>&nbsp;</span><span class="r"></span></p>
    <p id="t72" class="run"><span class="n"><a href="#t72">72</a></span><span class="t">    <span class="key">def</span> <span class="nam">test_logout</span> <span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t73" class="run"><span class="n"><a href="#t73">73</a></span><span class="t">        <span class="nam">response</span> <span class="op">=</span> <span class="nam">Client</span><span class="op">(</span><span class="op">)</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'/logout/'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t74" class="run"><span class="n"><a href="#t74">74</a></span><span class="t">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertEqual</span><span class="op">(</span><span class="nam">response</span><span class="op">.</span><span class="nam">status_code</span><span class="op">,</span> <span class="num">302</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t75" class="pln"><span class="n"><a href="#t75">75</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t76" class="pln"><span class="n"><a href="#t76">76</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t77" class="run"><span class="n"><a href="#t77">77</a></span><span class="t">    <span class="key">def</span> <span class="nam">test_index_Pooling</span> <span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t78" class="run"><span class="n"><a href="#t78">78</a></span><span class="t">        <span class="nam">c</span> <span class="op">=</span> <span class="nam">Client</span><span class="op">(</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t79" class="run"><span class="n"><a href="#t79">79</a></span><span class="t">        <span class="nam">user</span> <span class="op">=</span> <span class="nam">User</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">create_user</span> <span class="op">(</span><span class="nam">username</span><span class="op">=</span><span class="str">'test'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t80" class="run"><span class="n"><a href="#t80">80</a></span><span class="t">        <span class="nam">user</span><span class="op">.</span><span class="nam">set_password</span><span class="op">(</span><span class="str">'test'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t81" class="run"><span class="n"><a href="#t81">81</a></span><span class="t">        <span class="nam">user</span><span class="op">.</span><span class="nam">save</span><span class="op">(</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t82" class="pln"><span class="n"><a href="#t82">82</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t83" class="run"><span class="n"><a href="#t83">83</a></span><span class="t">        <span class="nam">c</span><span class="op">.</span><span class="nam">login</span> <span class="op">(</span><span class="nam">username</span><span class="op">=</span><span class="str">'test'</span><span class="op">,</span> <span class="nam">password</span> <span class="op">=</span> <span class="str">'test'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t84" class="pln"><span class="n"><a href="#t84">84</a></span><span class="t">        <span class="com"># cart = BarangKepunyaan.create(user = user)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t85" class="pln"><span class="n"><a href="#t85">85</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t86" class="run"><span class="n"><a href="#t86">86</a></span><span class="t">        <span class="nam">masker</span> <span class="op">=</span> <span class="nam">PoolingBarang</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">create</span><span class="op">(</span>&nbsp;</span><span class="r"></span></p>
    <p id="t87" class="pln"><span class="n"><a href="#t87">87</a></span><span class="t">            <span class="nam">user</span> <span class="op">=</span> <span class="nam">user</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t88" class="pln"><span class="n"><a href="#t88">88</a></span><span class="t">            <span class="nam">barang</span> <span class="op">=</span> <span class="str">"Maksker"</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t89" class="pln"><span class="n"><a href="#t89">89</a></span><span class="t">            <span class="nam">stok</span> <span class="op">=</span> <span class="num">0</span>&nbsp;</span><span class="r"></span></p>
    <p id="t90" class="pln"><span class="n"><a href="#t90">90</a></span><span class="t">        <span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t91" class="pln"><span class="n"><a href="#t91">91</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t92" class="run"><span class="n"><a href="#t92">92</a></span><span class="t">        <span class="nam">sanitizer</span> <span class="op">=</span> <span class="nam">PoolingBarang</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">create</span><span class="op">(</span>&nbsp;</span><span class="r"></span></p>
    <p id="t93" class="pln"><span class="n"><a href="#t93">93</a></span><span class="t">            <span class="nam">user</span> <span class="op">=</span> <span class="nam">user</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t94" class="pln"><span class="n"><a href="#t94">94</a></span><span class="t">            <span class="nam">barang</span> <span class="op">=</span> <span class="str">"Sanitizer"</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t95" class="pln"><span class="n"><a href="#t95">95</a></span><span class="t">            <span class="nam">stok</span> <span class="op">=</span> <span class="num">0</span>&nbsp;</span><span class="r"></span></p>
    <p id="t96" class="pln"><span class="n"><a href="#t96">96</a></span><span class="t">        <span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t97" class="pln"><span class="n"><a href="#t97">97</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t98" class="run"><span class="n"><a href="#t98">98</a></span><span class="t">        <span class="nam">faceshield</span> <span class="op">=</span> <span class="nam">PoolingBarang</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">create</span><span class="op">(</span>&nbsp;</span><span class="r"></span></p>
    <p id="t99" class="pln"><span class="n"><a href="#t99">99</a></span><span class="t">            <span class="nam">user</span> <span class="op">=</span> <span class="nam">user</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t100" class="pln"><span class="n"><a href="#t100">100</a></span><span class="t">            <span class="nam">barang</span> <span class="op">=</span> <span class="str">"Face Shield"</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t101" class="pln"><span class="n"><a href="#t101">101</a></span><span class="t">            <span class="nam">stok</span> <span class="op">=</span> <span class="num">0</span>&nbsp;</span><span class="r"></span></p>
    <p id="t102" class="pln"><span class="n"><a href="#t102">102</a></span><span class="t">        <span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t103" class="run"><span class="n"><a href="#t103">103</a></span><span class="t">        <span class="nam">response</span> <span class="op">=</span> <span class="nam">c</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">'/'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t104" class="run"><span class="n"><a href="#t104">104</a></span><span class="t">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertEqual</span><span class="op">(</span><span class="nam">response</span><span class="op">.</span><span class="nam">status_code</span><span class="op">,</span> <span class="num">200</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t105" class="run"><span class="n"><a href="#t105">105</a></span><span class="t">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertTemplateUsed</span><span class="op">(</span><span class="nam">response</span><span class="op">,</span><span class="str">'base/index.html'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t106" class="pln"><span class="n"><a href="#t106">106</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t107" class="pln"><span class="n"><a href="#t107">107</a></span><span class="t">    <span class="com"># def test_Kurangin (self):</span>&nbsp;</span><span class="r"></span></p>
    <p id="t108" class="pln"><span class="n"><a href="#t108">108</a></span><span class="t">    <span class="com">#     c = Client()</span>&nbsp;</span><span class="r"></span></p>
    <p id="t109" class="pln"><span class="n"><a href="#t109">109</a></span><span class="t">    <span class="com">#     user = User.objects.create_user(username='test')</span>&nbsp;</span><span class="r"></span></p>
    <p id="t110" class="pln"><span class="n"><a href="#t110">110</a></span><span class="t">    <span class="com">#     user.set_password('test')</span>&nbsp;</span><span class="r"></span></p>
    <p id="t111" class="pln"><span class="n"><a href="#t111">111</a></span><span class="t">    <span class="com">#     user.save()</span>&nbsp;</span><span class="r"></span></p>
    <p id="t112" class="pln"><span class="n"><a href="#t112">112</a></span><span class="t">    <span class="com">#     c.login(username='test',password='test')</span>&nbsp;</span><span class="r"></span></p>
    <p id="t113" class="pln"><span class="n"><a href="#t113">113</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t114" class="pln"><span class="n"><a href="#t114">114</a></span><span class="t">    <span class="com">#     barang = PoolingBarang.objects.get(user)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t115" class="pln"><span class="n"><a href="#t115">115</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t116" class="run"><span class="n"><a href="#t116">116</a></span><span class="t">    <span class="key">def</span> <span class="nam">test_Tambahin</span> <span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t117" class="run"><span class="n"><a href="#t117">117</a></span><span class="t">        <span class="nam">c</span> <span class="op">=</span> <span class="nam">Client</span><span class="op">(</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t118" class="run"><span class="n"><a href="#t118">118</a></span><span class="t">        <span class="nam">user</span> <span class="op">=</span> <span class="nam">User</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">create_user</span><span class="op">(</span><span class="nam">username</span><span class="op">=</span><span class="str">'test'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t119" class="run"><span class="n"><a href="#t119">119</a></span><span class="t">        <span class="nam">user</span><span class="op">.</span><span class="nam">set_password</span><span class="op">(</span><span class="str">'test'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t120" class="run"><span class="n"><a href="#t120">120</a></span><span class="t">        <span class="nam">user</span><span class="op">.</span><span class="nam">save</span><span class="op">(</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t121" class="pln"><span class="n"><a href="#t121">121</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t122" class="run"><span class="n"><a href="#t122">122</a></span><span class="t">        <span class="nam">c</span><span class="op">.</span><span class="nam">login</span><span class="op">(</span><span class="nam">username</span><span class="op">=</span><span class="str">'test'</span><span class="op">,</span><span class="nam">password</span><span class="op">=</span><span class="str">'test'</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t123" class="pln"><span class="n"><a href="#t123">123</a></span><span class="t">        <span class="com"># user = auth.get_user(self.client)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t124" class="pln"><span class="n"><a href="#t124">124</a></span><span class="t">        <span class="com"># assert user.is_authenticated</span>&nbsp;</span><span class="r"></span></p>
    <p id="t125" class="run"><span class="n"><a href="#t125">125</a></span><span class="t">        <span class="nam">barang</span> <span class="op">=</span> <span class="nam">PoolingBarang</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">create</span><span class="op">(</span><span class="nam">user</span><span class="op">=</span><span class="nam">user</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t126" class="run"><span class="n"><a href="#t126">126</a></span><span class="t">        <span class="nam">c</span><span class="op">.</span><span class="nam">post</span><span class="op">(</span><span class="str">'/add/'</span><span class="op">,</span><span class="op">{</span><span class="str">'barang'</span><span class="op">:</span> <span class="str">'Masker'</span><span class="op">}</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t127" class="run"><span class="n"><a href="#t127">127</a></span><span class="t">        <span class="nam">barang</span> <span class="op">=</span> <span class="nam">PoolingBarang</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="nam">user</span><span class="op">=</span><span class="nam">user</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t128" class="run"><span class="n"><a href="#t128">128</a></span><span class="t">        <span class="nam">self</span><span class="op">.</span><span class="nam">assertEqual</span><span class="op">(</span><span class="nam">barang</span><span class="op">.</span><span class="nam">stok</span><span class="op">,</span> <span class="num">0</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
>>>>>>> 1fb17b7cf78846a13f6abb224082650e2f1d865f
</div>
<div id="footer">
    <div class="content">
        <p>
            <a class="nav" href="index.html">&#xab; index</a> &nbsp; &nbsp; <a class="nav" href="https://coverage.readthedocs.io">coverage.py v5.3</a>,
<<<<<<< HEAD
            created at 2021-01-02 20:58 +0700
=======
            created at 2021-01-02 19:58 +0700
>>>>>>> 1fb17b7cf78846a13f6abb224082650e2f1d865f
        </p>
    </div>
</div>
</body>
</html>
